Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PStatListener Class Reference

This is the TCP rendezvous socket listener. More...

`#include "pStatListener.h"`

Inheritance diagram for PStatListener:

## Public Member Functions
| PStatListener (PStatServer *manager)
Public Member Functions inherited from ConnectionListener
| ConnectionListener (ConnectionManager *manager, int num_threads, const std::string &thread_name=std::string())
Public Member Functions inherited from ConnectionReader
| ConnectionReader (ConnectionManager *manager, int num_threads, const std::string &thread_name=std::string())
| Creates a new ConnectionReader with the indicated number of threads to handle requests.
bool | add_connection (Connection *connection)
| Adds a new socket to the list of sockets the ConnectionReader will monitor.
ConnectionManager * | get_manager () const
| Returns a pointer to the ConnectionManager object that serves this ConnectionReader.
int | get_num_threads () const
| Returns the number of threads the ConnectionReader has been created with.
bool | get_raw_mode () const
| Returns the current setting of the raw mode flag.
int | get_tcp_header_size () const
| Returns the current setting of TCP header size.
bool | is_connection_ok (Connection *connection)
| Returns true if the indicated connection has been added to the ConnectionReader and is being monitored properly, false if it is not known, or if there was some error condition detected on the connection.
bool | is_polling () const
| Returns true if the reader is a polling reader, i.e.
void | poll ()
| Explicitly polls the available sockets to see if any of them have any noise.
bool | remove_connection (Connection *connection)
| Removes a socket from the list of sockets being monitored.
void | set_raw_mode (bool mode)
| Sets the ConnectionReader into raw mode (or turns off raw mode).
void | set_tcp_header_size (int tcp_header_size)
| Sets the header size of TCP packets.
void | shutdown ()
| Terminates all threads cleanly.

## Detailed Description

This is the TCP rendezvous socket listener.

We need one of these to listen for new connections on the socket(s) added to the PStatServer.

Definition at line 29 of file pStatListener.h.

## Constructor & Destructor Documentation

## ◆ PStatListener()

PStatListener::PStatListener | ( | PStatServer * | manager | ) |

Definition at line 21 of file pStatListener.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/pstatserver/pStatListener.h
- pandatool/src/pstatserver/pStatListener.cxx